package com.gic.haoban.manage.api.dto.content.log;

import com.tencentcloudapi.vpc.v20170312.models.LocalGateway;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/3/20 4:27 PM
 * @Description
 * @Version
 **/
public class TriggerCustomerDetailLogDTO implements Serializable {

    private static final long serialVersionUID = -5149812263567137819L;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 类型
     *
     * @see com.gic.haoban.manage.api.enums.content.TriggerCustomerChannelType
     */
    private Integer shareType;

    /**
     * 分享到朋友圈
     */
    private SharePYQ sharePYQ;

    public static class SharePYQ implements Serializable {
        private static final long serialVersionUID = 273212828851672738L;
        /**
         * 导购分享日志id
         */
        private Long shareLogId;

        public Long getShareLogId() {
            return shareLogId;
        }

        public void setShareLogId(Long shareLogId) {
            this.shareLogId = shareLogId;
        }
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public SharePYQ getSharePYQ() {
        return sharePYQ;
    }

    public void setSharePYQ(SharePYQ sharePYQ) {
        this.sharePYQ = sharePYQ;
    }
}
